EbiFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.taxa.EbiFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.taxa
Class EbiFormat

    java.lang.Object
      org.biojava.bio.taxa.EbiFormat

All Implemented Interfaces:
  TaxonParser

Deprecated. replaced by classes in `org.biojavax.bio.taxa`

    public class EbiFormat

extends Object
implements TaxonParser

Encapsulate the 'EBI' species format used in Embl, Genbank and Swissprot files. The Taxon objects created by this process have the following annotations:

     key=PROPERTY_NCBI_TAXON, value=String representation of the NCBI taxon id
     key=PROPERTY_TAXON_NAMES, value=Map from name-class to name (see ncbi names.dmp)

Author:
  Matthew Pocock, Len Trigg

Field Summary
`static String` | `PROPERTY_NCBI_TAXON` Deprecated.
`static String` | `PROPERTY_TAXON_NAMES` Deprecated.

Constructor Summary
`EbiFormat()` Deprecated.

Method Summary
`static EbiFormat` | `getInstance()` Deprecated.
`Taxon` | `parse(TaxonFactory taxonFactory, String taxonString)` Deprecated. Convert a stringified Taxon into a Taxon instance.
`String` | `serialize(Taxon taxon)` Deprecated. Convert a Taxon into a stringified representation.
`String` | `serializeSource(Taxon taxon)` Deprecated.
`String` | `serializeXRef(Taxon taxon)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NCBI_TAXON

    public static final String PROPERTY_NCBI_TAXON

  Deprecated.

### PROPERTY_TAXON_NAMES

    public static final String PROPERTY_TAXON_NAMES

  Deprecated.

Constructor Detail

### EbiFormat

    public EbiFormat()

  Deprecated.

Method Detail

### getInstance

    public static final EbiFormat getInstance()

  Deprecated.

### parse

    public Taxon parse(TaxonFactory taxonFactory,
                       String taxonString)
                throws ChangeVetoException,
                       CircularReferenceException

  Deprecated.
  Description copied from interface: `TaxonParser`
  Convert a stringified Taxon into a Taxon instance.

  Specified by:
    `parse` in interface `TaxonParser`
  Parameters:
    `taxonFactory` - the TaxonFactory used to instantiate taxa instances
    `taxonString` - the String to parse
  Returns:
    a Taxon instance created by the TaxonFactory from the taxonString
  Throws:
    `ChangeVetoException`
    `CircularReferenceException`

### serialize

    public String serialize(Taxon taxon)

  Deprecated.
  Description copied from interface: `TaxonParser`
  Convert a Taxon into a stringified representation.

  Specified by:
    `serialize` in interface `TaxonParser`
  Parameters:
    `taxon` - the Taxon to serialize
  Returns:
    the stringified version of Taxon

### serializeSource

    public String serializeSource(Taxon taxon)

  Deprecated.

### serializeXRef

    public String serializeXRef(Taxon taxon)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD